"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compact = void 0;
var guards_1 = require("./guards");
/**
 * Filter out all falsey values. The values `false`, `null`, `0`, `""`, `undefined`, and `NaN` are falsey.
 * @param items the array to compact
 * @signature
 *    R.compact(array)
 * @example
 *    R.compact([0, 1, false, 2, '', 3]) // => [1, 2, 3]
 * @category Array
 * @pipeable
 */
function compact(items) {
    // TODO: Make lazy version
    return items.filter(guards_1.isTruthy);
}
exports.compact = compact;
