"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var difference_1 = require("./difference");
var pipe_1 = require("./pipe");
var take_1 = require("./take");
var map_1 = require("./map");
var source = [1, 2, 3, 4];
var other = [2, 5, 3];
var expected = [1, 4];
describe('data_first', function () {
    test('should return difference', function () {
        expect(difference_1.difference(source, other)).toEqual(expected);
    });
});
describe('data_last', function () {
    test('should return difference', function () {
        expect(difference_1.difference(other)(source)).toEqual(expected);
    });
    test('lazy', function () {
        var count = jest.fn();
        var result = pipe_1.pipe([1, 2, 3, 4, 5, 6], map_1.map(function (x) {
            count();
            return x;
        }), difference_1.difference([2, 3]), take_1.take(2));
        expect(count).toHaveBeenCalledTimes(4);
        expect(result).toEqual([1, 4]);
    });
});
