/**
 * Gets the first element of `array`.
 * Note: In `pipe`, use `first()` form instead of `first`. Otherwise, the inferred type is lost.
 * @param array the array
 * @signature
 *    R.first(array)
 * @example
 *    R.first([1, 2, 3]) // => 1
 *    R.first([]) // => undefined
 *    R.pipe(
 *      [1, 2, 4, 8, 16],
 *      R.filter(x => x > 3),
 *      R.first(),
 *      x => x + 1
 *    ); // => 5
 *
 * @category array
 * @pipeable
 */
export declare function first<T>(array: readonly T[]): T | undefined;
export declare function first<T>(): (array: readonly T[]) => T | undefined;
export declare namespace first {
    function lazy<T>(): (value: T) => {
        done: boolean;
        hasNext: boolean;
        next: T;
    };
    namespace lazy {
        const single = true;
    }
}
//# sourceMappingURL=first.d.ts.map