import { NonEmptyArray, PredIndexed } from './_types';
/**
 * Splits a collection into sets, grouped by the result of running each value through `fn`.
 * @param items the items to group
 * @param fn the grouping function
 * @signature
 *    R.groupBy(array, fn)
 * @example
 *    R.groupBy(['one', 'two', 'three'], x => x.length) // => {3: ['one', 'two'], 5: ['three']}
 * @data_first
 * @indexed
 * @category Array
 */
export declare function groupBy<T>(items: readonly T[], fn: (item: T) => PropertyKey): Record<PropertyKey, NonEmptyArray<T>>;
export declare function groupBy<T>(fn: (item: T) => PropertyKey): (array: readonly T[]) => Record<PropertyKey, NonEmptyArray<T>>;
export declare namespace groupBy {
    function indexed<T, K>(array: readonly T[], fn: PredIndexed<T, PropertyKey>): Record<string, NonEmptyArray<T>>;
    function indexed<T, K>(fn: PredIndexed<T, PropertyKey>): (array: readonly T[]) => Record<string, NonEmptyArray<T>>;
}
//# sourceMappingURL=groupBy.d.ts.map