"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mapToObj_1 = require("./mapToObj");
var pipe_1 = require("./pipe");
describe('data_first', function () {
    it('mapToObj', function () {
        var result = mapToObj_1.mapToObj([1, 2, 3], function (x) { return [String(x), x * 2]; });
        expect(result).toEqual({ 1: 2, 2: 4, 3: 6 });
    });
    it('mapToObj.indexed', function () {
        var result = mapToObj_1.mapToObj.indexed([0, 0, 0], function (x, i) { return [i, i]; });
        expect(result).toEqual({ 0: 0, 1: 1, 2: 2 });
    });
});
describe('data_last', function () {
    it('mapToObj', function () {
        var result = pipe_1.pipe([1, 2, 3], mapToObj_1.mapToObj(function (x) { return [String(x), x * 2]; }));
        expect(result).toEqual({ 1: 2, 2: 4, 3: 6 });
    });
    it('mapToObj.indexed', function () {
        var result = pipe_1.pipe([0, 0, 0], mapToObj_1.mapToObj.indexed(function (x, i) { return [i, i]; }));
        expect(result).toEqual({ 0: 0, 1: 1, 2: 2 });
    });
});
