"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapValues = void 0;
function mapValues(arg1, arg2) {
    if (arguments.length === 1) {
        return function (data) { return _mapValues(data, arg1); };
    }
    return _mapValues(arg1, arg2);
}
exports.mapValues = mapValues;
function _mapValues(obj, fn) {
    return Object.keys(obj).reduce(function (acc, key) {
        acc[key] = fn(obj[key], key);
        return acc;
    }, {});
}
