"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var maxBy_1 = require("./maxBy");
var pipe_1 = require("./pipe");
var array = [{ a: 2 }, { a: 5 }, { a: 1 }, { a: 4 }];
var expected = { a: 5 };
describe('data first', function () {
    test('maxBy', function () {
        expect(maxBy_1.maxBy(array, function (x) { return x.a; })).toEqual(expected);
    });
    test('maxBy.indexed', function () {
        expect(maxBy_1.maxBy.indexed(array, function (x, idx) { return x.a + idx; })).toEqual({ a: 4 });
    });
});
describe('data last', function () {
    test('maxBy', function () {
        var actual = pipe_1.pipe(array, maxBy_1.maxBy(function (x) { return x.a; }));
        expect(actual).toEqual(expected);
    });
    test('maxBy.indexed', function () {
        var actual = pipe_1.pipe(array, maxBy_1.maxBy.indexed(function (x, idx) { return x.a + idx; }));
        expect(actual).toEqual({ a: 4 });
    });
});
