"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var partition_1 = require("./partition");
var pipe_1 = require("./pipe");
var array = [
    { a: 1, b: 1 },
    { a: 1, b: 2 },
    { a: 2, b: 1 },
    { a: 1, b: 3 },
];
var expected = [
    [
        { a: 1, b: 1 },
        { a: 1, b: 2 },
        { a: 1, b: 3 },
    ],
    [{ a: 2, b: 1 }],
];
describe('data first', function () {
    test('partition', function () {
        expect(partition_1.partition(array, function (x) { return x.a === 1; })).toEqual(expected);
    });
    test('partition.indexed', function () {
        expect(partition_1.partition.indexed(array, function (_, index) { return index !== 2; })).toEqual(expected);
    });
});
describe('data last', function () {
    test('partition', function () {
        expect(pipe_1.pipe(array, partition_1.partition(function (x) { return x.a === 1; }))).toEqual(expected);
    });
    test('partition.indexed', function () {
        expect(pipe_1.pipe(array, partition_1.partition.indexed(function (_, index) { return index !== 2; }))).toEqual(expected);
    });
});
