import { forEach } from './forEach';
import { pipe } from './pipe';
import { take } from './take';
var array = [1, 2, 3];
describe('data_first', function () {
    it('forEach', function () {
        var cb = jest.fn();
        var result = forEach(array, cb);
        expect(cb.mock.calls).toEqual([[1], [2], [3]]);
        expect(result).toEqual(array);
    });
    it('forEach.indexed', function () {
        var cb = jest.fn();
        var result = forEach.indexed(array, cb);
        expect(cb.mock.calls).toEqual([
            [1, 0, array],
            [2, 1, array],
            [3, 2, array],
        ]);
        expect(result).toEqual(array);
    });
});
describe('data_last', function () {
    it('forEach', function () {
        var cb = jest.fn();
        var result = pipe(array, forEach(cb));
        expect(cb.mock.calls).toEqual([[1], [2], [3]]);
        expect(result).toEqual(array);
    });
    it('forEach.indexed', function () {
        var cb = jest.fn();
        var result = pipe(array, forEach.indexed(cb));
        expect(cb.mock.calls).toEqual([
            [1, 0, array],
            [2, 1, array],
            [3, 2, array],
        ]);
        expect(result).toEqual(array);
    });
});
describe('pipe', function () {
    it('with take', function () {
        var count = jest.fn();
        var result = pipe([1, 2, 3], forEach(function (x) {
            count();
        }), take(2));
        expect(count).toHaveBeenCalledTimes(2);
        expect(result).toEqual([1, 2]);
    });
    it('indexed', function () {
        var count = jest.fn();
        var result = pipe([1, 2, 3], forEach.indexed(function () {
            count();
        }), take(2));
        expect(count).toHaveBeenCalledTimes(2);
        expect(result).toEqual([1, 2]);
    });
});
