import { last } from './last';
import { pipe } from './pipe';
describe('last', function () {
    describe('data first', function () {
        test('should return last', function () {
            expect(last([1, 2, 3])).toEqual(3);
        });
        test('empty array', function () {
            expect(last([])).toEqual(undefined);
        });
    });
    describe('data last', function () {
        test('should return last', function () {
            expect(last([1, 2, 3])).toEqual(3);
        });
        test('empty array', function () {
            expect(last([])).toEqual(undefined);
        });
    });
    describe('types', function () {
        test('should return T | undefined for Array input', function () {
            var input = [1, 2, 3];
            var actual = last(input);
            var result = true;
            expect(result).toEqual(true);
        });
        test('should not return undefined for non empty arrays', function () {
            var input = [1, 2, 3];
            var data = last(input);
            var result = true;
            expect(result).toEqual(true);
        });
        test('should infer type in pipes', function () {
            var data = pipe('this is a text', function (data) { return data.split(''); }, last());
            var result = true;
            expect(result).toEqual(true);
        });
    });
});
