import { pipe } from './pipe';
import { reject } from './reject';
import { createCounter } from './_counter';
describe('data_first', function () {
    it('reject', function () {
        var result = reject([1, 2, 3], function (x) { return x % 2 === 0; });
        expect(result).toEqual([1, 3]);
    });
    it('reject.indexed', function () {
        var result = reject.indexed([1, 2, 3], function (x, i) { return x % 2 === 0 && i === 1; });
        expect(result).toEqual([1, 3]);
    });
});
describe('data_last', function () {
    it('filter', function () {
        var counter = createCounter();
        var result = pipe([1, 2, 3], reject(function (x) { return x % 2 === 0; }), counter.fn());
        expect(counter.count).toHaveBeenCalledTimes(2);
        expect(result).toEqual([1, 3]);
    });
    it('filter.indexed', function () {
        var counter = createCounter();
        var result = pipe([1, 2, 3], reject.indexed(function (x, i) { return x % 2 === 0 && i === 1; }), counter.fn());
        expect(counter.count).toHaveBeenCalledTimes(2);
        expect(result).toEqual([1, 3]);
    });
});
